org.glassfish.jersey.server

## Interface ExtendedResourceContext

All Superinterfaces:
  jakarta.ws.rs.container.ResourceContext

    public interface ExtendedResourceContext
    extends jakarta.ws.rs.container.ResourceContext

Jersey extension of `ResourceContext`.

Author:
  Miroslav Fuksa

### Method Summary

All Methods Instance Methods Abstract Methods
`ResourceModel` `getResourceModel()` Return `resource model` from which the current jersey application is built.

### Methods inherited from interface jakarta.ws.rs.container.ResourceContext

`getResource, initResource`

### Method Detail

#### getResourceModel

    ResourceModel getResourceModel()

Return `resource model` from which the current jersey application is built.

Returns:
  Resource model with all resources including resources created by `resource processor`.